PMTIME(1)

NAME
pmtime - time control server for Performance Co-Pilot

SYNOPSIS
pmtime [-p port]

DESCRIPTION
pmtime is a graphical user interface for performance monitoring applications using the PCP infrastructure and requiring interactive time control.

pmtime is not normally invoked directly by users. Rather, it is more typical for it to be started by client applications (e.g. pmchart(1) and pmval(1)).

There are two modes of interacting with a pmtime process - live host mode, and historical archive mode. In archive mode the window presents time controls suitable for manipulating the archive position, allowing full VCR control to move forwards and backwards in time at configurable rates and intervals. In live mode the pmtime window contains the simpler time controls suitable for live monitoring.

The arguments to pmtime are as follows:

-p  port is the port number which pmtime will use for communication with its clients (monitoring applications).

Note that the pmtime window is only made visible when explicitly requested. Multiple client applications can be connected to a single pmtime server - when the final client application exits, pmtime will also exit.

ENVIRONMENT
When a port number is not explicitly requested on the command line via the -p option, the environment variable PMTIME_PORT can be set to specify the port number from which available-port probing will commence when pmtime is searching for a port number to use.

The default starting port number is 43334.

SEE ALSO
PCPIntro(1), pmchart(1), and pmval(1).